Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class CallOutboundEndpoint

    java.lang.Object
      org.mule.endpoint.DynamicURIOutboundEndpoint
          org.mule.endpoint.DynamicOutboundEndpoint
              org.mule.module.ibeans.spi.support.CallOutboundEndpoint

All Implemented Interfaces:
  Serializable, ImmutableEndpoint, OutboundEndpoint, MessageProcessor

    public class CallOutboundEndpoint

extends DynamicOutboundEndpoint

A dynamic outbound endpoint defined when using the `Call` annotation. A CallOutboundEndpoint is generated when the Call method has a one or more payloads defined using `org.ibeans.annotation.param.Payload` or `org.ibeans.annotation.param.PayloadParam` annotations or one or more headers defined using the `HeaderParam` annotation. annotations.

The endpoint scheme is the only part of the URI that cannot be replaced at runtime.

See Also:
  `CallRequestEndpoint`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.endpoint.DynamicOutboundEndpoint
`DynamicOutboundEndpoint.NullOutboundEndpoint`

Field Summary
`protected Log` | `logger` logger used by this class
`static String` | `NULL_PARAM`
`protected TemplateParser` | `parser`

Fields inherited from class org.mule.endpoint.DynamicOutboundEndpoint
`DYNAMIC_URI_PLACEHOLDER, uriTemplate`

Fields inherited from class org.mule.endpoint.DynamicURIOutboundEndpoint
`endpoint`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Constructor Summary
`CallOutboundEndpoint(MuleContext context, AnnotatedEndpointData epData)`

Method Summary
`protected Map<String,Object>` | `getPropertiesForUriTemplate(MuleMessage message)`
`protected String` | `parseURIString(String uri, MuleMessage message)`
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.
`protected void` | `validateUriTemplate(String uri)`

Methods inherited from class org.mule.endpoint.DynamicOutboundEndpoint
`equals, getAddress, getEndpointURIForMessage, hashCode`

Methods inherited from class org.mule.endpoint.DynamicURIOutboundEndpoint
`getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseProperties, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, setEndpointURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_PARAM

    public static final String NULL_PARAM

See Also:
  Constant Field Values

### logger

    protected final transient Log logger

  logger used by this class

### parser

    protected TemplateParser parser

Constructor Detail

### CallOutboundEndpoint

    public CallOutboundEndpoint(MuleContext context,
                                AnnotatedEndpointData epData)
                         throws MalformedEndpointException

Throws:
  `MalformedEndpointException`

Method Detail

### validateUriTemplate

    protected void validateUriTemplate(String uri)
                                throws MalformedEndpointException

  Overrides:
    `validateUriTemplate` in class `DynamicOutboundEndpoint`
  Throws:
    `MalformedEndpointException`

### parseURIString

    protected String parseURIString(String uri,
                                    MuleMessage message)

  Overrides:
    `parseURIString` in class `DynamicOutboundEndpoint`

### getPropertiesForUriTemplate

    protected Map<String,Object> getPropertiesForUriTemplate(MuleMessage message)

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Overrides:
    `process` in class `DynamicOutboundEndpoint`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.